/*-
 * #%L
 * Fiji distribution of ImageJ for the life sciences.
 * %%
 * Copyright (C) 2010 - 2022 Fiji developers.
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-3.0.html>.
 * #L%
 */
package ai;

/**
 * Inner class to order attributes while preserving class indices 
 *
 */
public class AttributeClassPair
{
	/** real value of the corresponding attribute */
	protected double attributeValue;
	/** index of the class associated to this pair */
	protected int classValue;
	/**
	 * Create pair attribute-class
	 * 
	 * @param attributeValue real attribute value
	 * @param classIndex index of the class associated to this sample
	 */
	AttributeClassPair(double attributeValue, int classIndex)
	{
		this.attributeValue = attributeValue;
		this.classValue = classIndex;
	}
}
